linux: 2.6.32-49.111 -proposed tracker

Bug #1193108 reported by Steve Conklin on 2013-06-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-ports-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-49.111 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 20. June 2013 20:13 UTC
kernel-stable-Prepare-package-end:Friday, 21. June 2013 04:06 UTC
kernel-stable-Promote-to-proposed-start:Friday, 21. June 2013 04:06 UTC
kernel-stable-Promote-to-proposed-end:Friday, 21. June 2013 17:04 UTC
kernel-stable-Verification-testing-start:Friday, 21. June 2013 18:06 UTC
kernel-stable-Verification-testing-end:Thursday, 27. June 2013 14:05 UTC
kernel-stable-Certification-testing-start:Thursday, 27. June 2013 14:05 UTC
kernel-stable-Security-signoff-start:Thursday, 27. June 2013 14:06 UTC
kernel-stable-Regression-testing-start:Thursday, 27. June 2013 14:06 UTC
kernel-stable-Regression-testing-end:Thursday, 27. June 2013 18:03 UTC
kernel-stable-Security-signoff-end:Friday, 28. June 2013 04:04 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 03. July 2013 08:05 UTC
kernel-stable-Certification-testing-end:Wednesday, 03. July 2013 08:05 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 03. July 2013 22:05 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 04. July 2013 00:05 UTC

Steve Conklin (sconklin) on 2013-06-20
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1193202

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-06-21
description: updated
Brad Figg (brad-figg) on 2013-06-21
description: updated
Brad Figg (brad-figg) on 2013-06-27
description: updated
Para Siva (psivaa) wrote :

No regressions seen

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-27
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-06-28
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. (No) regressions were observed. The report is available at: http://people.canonical.com/~hwcert/sru-testing/lucid/2.6.32-49.111/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-07-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 2.6.32-49.111

---------------
linux (2.6.32-49.111) lucid; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1193108

  [ Upstream Kernel Changes ]

  * Revert "pcdp: use early_ioremap/early_iounmap to access pcdp table"
    - LP: #1193044
  * Revert "block: improve queue_should_plug() by looking at IO depths"
    - LP: #1193044
  * kernel/signal.c: stop info leak via the tkill and the tgkill syscalls
    - LP: #1187732
    - CVE-2013-2141
  * b43: stop format string leaking into error msgs
    - LP: #1189833
    - CVE-2013-2852
  * 2.6.32.y: timekeeping: Fix nohz issue with commit
    61b76840ddee647c0c223365378c3f394355b7d7
    - LP: #1193044
  * clockevents: Don't allow dummy broadcast timers
    - LP: #1193044
  * posix-cpu-timers: Fix nanosleep task_struct leak
    - LP: #1193044
  * timer: Don't reinitialize the cpu base lock during CPU_UP_PREPARE
    - LP: #1193044
  * tick: Cleanup NOHZ per cpu data on cpu down
    - LP: #1193044
  * kbuild: Fix gcc -x syntax
    - LP: #1193044
  * gen_init_cpio: avoid stack overflow when expanding
    - LP: #1193044
  * coredump: prevent double-free on an error path in core dumper
    - LP: #1193044
  * kernel/sys.c: call disable_nonboot_cpus() in kernel_restart()
    - LP: #1193044
  * ring-buffer: Fix race between integrity check and readers
    - LP: #1193044
  * genalloc: stop crashing the system when destroying a pool
    - LP: #1193044
  * kernel/resource.c: fix stack overflow in __reserve_region_with_split()
    - LP: #1193044
  * Driver core: treat unregistered bus_types as having no devices
    - LP: #1193044
  * cgroup: remove incorrect dget/dput() pair in cgroup_create_dir()
    - LP: #1193044
  * Fix a dead loop in async_synchronize_full()
    - LP: #1193044
  * tracing: Don't call page_to_pfn() if page is NULL
    - LP: #1193044
  * tracing: Fix double free when function profile init failed
    - LP: #1193044
  * mm: Fix PageHead when !CONFIG_PAGEFLAGS_EXTENDED
    - LP: #1193044
  * mm: bugfix: set current->reclaim_state to NULL while returning from
    kswapd()
    - LP: #1193044
  * mm: fix invalidate_complete_page2() lock ordering
    - LP: #1193044
  * mempolicy: fix a race in shared_policy_replace()
    - LP: #1193044
  * ALSA: hda - More ALC663 fixes and support of compatible chips
    - LP: #1193044
  * ALSA: hda - Add a pin-fix for FSC Amilo Pi1505
    - LP: #1193044
  * ALSA: seq: Fix missing error handling in snd_seq_timer_open()
    - LP: #1193044
  * ALSA: ac97 - Fix missing NULL check in snd_ac97_cvol_new()
    - LP: #1193044
  * x86, ioapic: initialize nr_ioapic_registers early in
    mp_register_ioapic()
    - LP: #1193044
  * x86: Don't use the EFI reboot method by default
    - LP: #1193044
  * x86, random: make ARCH_RANDOM prompt if EMBEDDED, not EXPERT
    - LP: #1193044
  * x86/mm: Check if PUD is large when validating a kernel address
    - LP: #1193044
  * x86, mm, paravirt: Fix vmalloc_fault oops during lazy MMU updates
    - LP: #1193044
  * xen/bootup: allow read_tscp call for Xen PV guests.
    - LP: #1193044
  * xen/bootup: allow {read|write}_cr8 pvops call.
    - LP: #1193044
  * KVM: x86: relax MSR...

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-07-03
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers